import { Inject, Injectable } from '@angular/core';
import { NATS_CONNECTION } from 'app/core/nats/token';

import * as nats from 'nats.ws';

@Injectable({
  providedIn: 'root',
})
export class IdentityService {
  /**
   * Constructor
   */
  constructor(
    @Inject(NATS_CONNECTION) private __nats_connection: nats.NatsConnection
  ) {}

  // -----------------------------------------------------------------------------------------------------
  // @ Accessors
  // -----------------------------------------------------------------------------------------------------

  // -----------------------------------------------------------------------------------------------------
  // @ Public methods
  // -----------------------------------------------------------------------------------------------------

  getClientIp(): number | undefined {
    return this.__nats_connection.info?.client_id;
  }
}
